Subject: Re: [Gen-art] Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

From: Jari Arkko <[email-masked]>
Date: Wed, 2 Mar 2016 20:24:07 +0200

Thanks for the review & the quick updates. Much appreciated, both. I have balloted no-obj for this document.

Jari

On 16 Feb 2016, at 14:53, Romascanu, Dan (Dan) <[email-masked]> wrote:

> Thank you for the quick update. All the (minor) issues that I raised were addressed. From the Gen-ART point of view this document is ready.
> 
> Regards,
> 
> Dan
> 
> 
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, February 16, 2016 11:04 AM
> To: Romascanu, Dan (Dan); General Area Review Team
> Cc: [email-masked]
> Subject: RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update
> 
> Hi Dan,
> 
> FWIW, an updated version integrating your comments is available online:
> 
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-behave-requirements-update-07.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-behave-requirements-update/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-behave-requirements-update-07
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-behave-requirements-update-07
> 
> Thank you.
> 
> Cheers,
> Med
> 
> De : Romascanu, Dan (Dan) [mailto:[email-masked]]
> Envoyé : lundi 15 février 2016 17:31
> À : BOUCADAIR Mohamed IMT/OLN; General Area Review Team
> Cc : [email-masked]
> Objet : RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update
> 
> Hi Med,
> 
> Thank you for the quick answer and for addressing my comments. Your suggestions are fine with me.
> 
> Regards,
> 
> Dan
> 
> 
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 15, 2016 6:29 PM
> To: Romascanu, Dan (Dan); General Area Review Team
> Cc: [email-masked]
> Subject: RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update
> 
> Hi Dan,
> 
> Thank you for the review.
> 
> Please see inline.
> 
> Cheers,
> Med
> 
> De : Romascanu, Dan (Dan) [mailto:[email-masked]]
> Envoyé : lundi 15 février 2016 17:18
> À : General Area Review Team
> Cc : [email-masked]
> Objet : Gen-ART review of draft-ietf-tsvwg-behave-requirements-update
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
> 
> Document:  draft-ietf-tsvwg-behave-requirements-update-06
> Reviewer: Dan Romascanu
> Review Date: 2/15/16
> IETF LC End Date: 2/16/16
> IESG Telechat date:
> 
> Summary: This document is ready with minor issues.
> 
> Major issues:
> 
> None
> 
> Minor issues:
> 
> 1.       The text in the second and third paragraphs in section 2.2 is rather confusing. Do these belong to updates, or should they be under Notes?
> 
> Ø  Admittedly, the NAT has to verify whether received TCP RST packets belong to a connection. This verification check is required to avoid off-path attacks.
> 
> Ø  If the NAT removes immediately the NAT mapping upon receipt of a TCP RST message, stale connections may be maintained by endpoints if the first RST message is lost between the NAT and the recipient.
> 
> If they belong to Updates ‘Admittedly’ needs to be dropped, ‘has to verify’ becomes ‘SHOULD verify’, etc.
> Else, if these are rather notes they should be labeled Notes or Clarification
> 
> [Med] These are notes. What about making this change?
> 
> OLD:
> 
>       Admittedly, the NAT has to verify whether received TCP RST packets
>       belong to a connection.  This verification check is required to
>       avoid off-path attacks.
> 
>       If the NAT removes immediately the NAT mapping upon receipt of a
>       TCP RST message, stale connections may be maintained by endpoints
>       if the first RST message is lost between the NAT and the
>       recipient.
> 
> NEW:
> 
>       Notes:
>       *   Admittedly, the NAT has to verify whether received TCP RST packets
>       belong to a connection.  This verification check is required to
>       avoid off-path attacks.
> 
>       * If the NAT removes immediately the NAT mapping upon receipt of a
>       TCP RST message, stale connections may be maintained by endpoints
>       if the first RST message is lost between the NAT and the
>       recipient.
> 
> 
> 
> 2.       In section 5:
> 
> Ø  This update is compliant with the stateful NAT64 [RFC6146] that clearly specifies three binding information bases (TCP, UDP, ICMP).
> 
> As the focus of this document is NAT44, I do not believe that ‘compliant’ is the right word. Probably ‘consistent’ would be more appropriate.
> 
> [Med] I changed it to “consistent” in my local copy. Thank you for catching this.
> 
> 3.       EIF is never expanded
> [Med] Fixed.
> 
> Nits/editorial comments:
> 
> None.
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art